## org.hibernate.cfg
Class InheritanceState

    java.lang.Object
      org.hibernate.cfg.InheritanceState

    public class InheritanceState

extends Object

Some extra data to the inheritance position of a class.

Constructor Summary
`InheritanceState(org.hibernate.annotations.common.reflection.XClass clazz, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass, Mappings mappings)`

Method Summary
`org.hibernate.annotations.common.reflection.XClass` `getClassWithIdClass(boolean evenIfSubclass)`
`org.hibernate.annotations.common.reflection.XClass` `getClazz()`
`org.hibernate.cfg.InheritanceState.ElementsToProcess` `getElementsToProcess()`
`static InheritanceState` `getInheritanceStateOfSuperEntity(org.hibernate.annotations.common.reflection.XClass clazz, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states)`
`static InheritanceState` `getSuperclassInheritanceState(org.hibernate.annotations.common.reflection.XClass clazz, Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states)`
`InheritanceType` `getType()`
`Boolean` `hasIdClassOrEmbeddedId()`
`boolean` `hasParents()`
`boolean` `hasSiblings()`
`boolean` `isEmbeddableSuperclass()`
`void` `setClazz(org.hibernate.annotations.common.reflection.XClass clazz)`
`void` `setEmbeddableSuperclass(boolean embeddableSuperclass)`
`void` `setHasParents(boolean hasParents)`
`void` `setHasSiblings(boolean hasSiblings)`
`void` `setType(InheritanceType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InheritanceState

    public InheritanceState(org.hibernate.annotations.common.reflection.XClass clazz,
                            Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> inheritanceStatePerClass,
                            Mappings mappings)

Method Detail

### getInheritanceStateOfSuperEntity

    public static InheritanceState getInheritanceStateOfSuperEntity(org.hibernate.annotations.common.reflection.XClass clazz,
                                                                    Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states)

### getSuperclassInheritanceState

    public static InheritanceState getSuperclassInheritanceState(org.hibernate.annotations.common.reflection.XClass clazz,
                                                                 Map<org.hibernate.annotations.common.reflection.XClass,InheritanceState> states)

### getClazz

    public org.hibernate.annotations.common.reflection.XClass getClazz()

### setClazz

    public void setClazz(org.hibernate.annotations.common.reflection.XClass clazz)

### hasSiblings

    public boolean hasSiblings()

### setHasSiblings

    public void setHasSiblings(boolean hasSiblings)

### hasParents

    public boolean hasParents()

### setHasParents

    public void setHasParents(boolean hasParents)

### getType

    public InheritanceType getType()

### setType

    public void setType(InheritanceType type)

### isEmbeddableSuperclass

    public boolean isEmbeddableSuperclass()

### setEmbeddableSuperclass

    public void setEmbeddableSuperclass(boolean embeddableSuperclass)

### getClassWithIdClass

    public org.hibernate.annotations.common.reflection.XClass getClassWithIdClass(boolean evenIfSubclass)

### hasIdClassOrEmbeddedId

    public Boolean hasIdClassOrEmbeddedId()

### getElementsToProcess

    public org.hibernate.cfg.InheritanceState.ElementsToProcess getElementsToProcess()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.